Summary: Accessibility client library for Qt5
Name:    qaccessibilityclient
Version: 0.4.1
Release: 1%{?dist}
License: LGPLv2 or LGPLv3
URL:     https://cgit.kde.org/libkdeaccessibilityclient.git/
Source0: http://download.kde.org/stable/libqaccessibilityclient/libqaccessibilityclient-%{version}.tar.xz

BuildRequires: cmake, cmake(Qt5DBus), cmake(Qt5Widgets), extra-cmake-modules

Provides: libqaccessibilityclient = %{version}-%{release}

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Provides: libqaccessibilityclient-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: qt5-qtbase-devel

%description  devel
%{summary}.


%prep
%autosetup -n libqaccessibilityclient-%{version} -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install


%files
%license COPYING
%doc AUTHORS ChangeLog README*
%{_libdir}/libqaccessibilityclient-qt5.so.0*

%files devel
%{_includedir}/qaccessibilityclient/
%{_libdir}/cmake/QAccessibilityClient/
%{_libdir}/libqaccessibilityclient-qt5.so


%changelog
* Sat Nov 11 2023 Chair <chairou@tencent.com> - 0.4.1-1
- Init
